Bug 259142

Summary: www/civetweb: Update to 1.15
Product: Ports & Packages Reporter: Frank Scholl <maintainer.freebsd>
Component: Individual Port(s)Assignee: Nuno Teixeira <eduardo>
Status: Closed FIXED    
Severity: Affects Only Me CC: eduardo
Priority: --- Keywords: needs-qa
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/civetweb/civetweb/blob/master/RELEASE_NOTES.md#release-notes-v115
Attachments:
Description Flags
www_civetweb-1.15.diff
maintainer.freebsd: maintainer-approval+
www_civetweb-1.15.diff maintainer.freebsd: maintainer-approval+

Description Frank Scholl 2021-10-13 16:48:43 UTC
Created attachment 228670 [details]
www_civetweb-1.15.diff

- poudriere successful on aarch64 and amd64
- update to version 1.15, enabled zlib
- fixed pkg-plist use of PORTVERSION
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-10-13 23:32:29 UTC
^Triage: 

  - [tags] in issue Titles are deprecated
  - If there is a changelog or release notes URL available for this version, please add it to the URL field
Comment 2 Nuno Teixeira freebsd_committer 2021-10-14 09:19:36 UTC
Hello,

Just a few questions:

1. Since we are using DISTVERSION why is needed to tell port that PLIST_SUB+= PORTVERSION=${PORTVERSION} and not DISTVERSION that could be used in pkg-plist:
---
...
lib/libcivetweb.so.%%DISTVERSION%%.0
---

2. CMAKE_ON should be first than CMAKE_OFF:
---
# USES=cmake related variables
+CMAKE_ON
CMAKE_OFF
-CMAKE_ON
---

Cheers
Comment 3 Frank Scholl 2021-10-14 15:09:34 UTC
Created attachment 228701 [details]
www_civetweb-1.15.diff

- changed the order of the Makefile variables.
- used DISTVERSION in PLIST_SUB and pkg-plist.
Comment 4 commit-hook freebsd_committer 2021-10-15 07:35:12 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bb2ead4d42fffcadac202fb9221533edb17cc442

commit bb2ead4d42fffcadac202fb9221533edb17cc442
Author:     Frank Scholl <maintainer.freebsd@xpoundit.com>
AuthorDate: 2021-10-15 07:31:08 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-10-15 07:34:13 +0000

    www/civetweb: Update to 1.15

    ChangeLog:
    https://github.com/civetweb/civetweb/blob/master/RELEASE_NOTES.md

    PR:             259142

 www/civetweb/Makefile  | 7 +++++--
 www/civetweb/distinfo  | 6 +++---
 www/civetweb/pkg-plist | 2 +-
 3 files changed, 9 insertions(+), 6 deletions(-)
Comment 5 Nuno Teixeira freebsd_committer 2021-10-15 07:38:20 UTC
Committed with minor fix:

Put CMAKE_ON list under 72 columns (portfmt) that I forgot to point.
---
-CMAKE_ON=	BUILD_SHARED_LIBS CIVETWEB_ENABLE_IPV6 CIVETWEB_ENABLE_SSL CIVETWEB_ENABLE_ZLIB
+CMAKE_ON=	BUILD_SHARED_LIBS CIVETWEB_ENABLE_IPV6 CIVETWEB_ENABLE_SSL \
+		CIVETWEB_ENABLE_ZLIB
---

Thanks!